Skip to navigation

Get Assets Id Work Orders

View as Markdown
Lists the work orders on an asset that are not cancelled, each with the tasks on it that are on this asset, for any user who can access the asset. Paged, 25 work orders per page.

Authentication

AuthorizationBearer

OAuth 2.0 Client Credentials Flow. To obtain an access token:

  1. Request API credentials from HINDSITE support to receive your client_id and client_secret

  2. Make a POST request to obtain an access token:

POST https://app.hindsiteind.com/oauth/token
Content-Type: application/x-www-form-urlencoded

grant_type=client_credentials&client_id=YOUR_CLIENT_ID&client_secret=YOUR_CLIENT_SECRET
  1. The response will contain your access token:
{
  "access_token": "your_access_token_here",
  "token_type": "Bearer",
  "expires_in": 7200,
  "created_at": 1234567890
}
  1. Include the token in subsequent API requests:
Authorization: Bearer your_access_token_here

Path parameters

idstringRequired

Query parameters

searchstringOptional

Only return work orders whose title (or custom field values) match this text, plus work orders with a task on this asset whose title (or custom field values) match it. Nested tasks are narrowed the same way.

pageintegerOptional
Page number, starting at 1.

Response

Paginated AssetWorkOrder(s)

work_orderslist of objectsOptional
metaobjectOptional

Errors

404
Not Found Error